/*
 	Drivers_EL_AZ_local.h
	
	Drivers for local control of Elevation (EL) and Azimuth (AZ)
 	
	
	
	Copyright 2007 Daniel Berg
	
 	This file is part of SatFinder.
 
    SatFinder is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
 
    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
	
	*/
	



uint8_t EL_init_driver (void);
uint16_t EL_get_position (void);
uint16_t EL_get_min (void);
uint16_t EL_get_max (void);
uint16_t EL_get_low (void);
uint16_t EL_get_high (void);
uint8_t EL_in_motion (void);
uint16_t EL_get_status (uint8_t asked_status);
uint8_t EL_set_position (uint16_t new_position);
void EL_stop (void);
uint16_t EL_cal_start (void);
uint8_t EL_cal_write (uint16_t min, uint16_t low, uint16_t high, uint16_t max);
uint8_t EL_set_config (uint16_t req_conf, uint16_t new_config_data);	


uint8_t AZ_init_driver (void);
uint16_t AZ_get_position (void);
uint16_t AZ_get_min (void);
uint16_t AZ_get_max (void);
uint16_t AZ_get_low (void);
uint16_t AZ_get_high (void);
uint8_t AZ_in_motion (void);
uint16_t AZ_get_status (uint8_t asked_status);
uint8_t AZ_set_position (uint16_t new_position);
void AZ_stop (void);
uint16_t AZ_cal_start (void);
uint8_t AZ_cal_write (uint16_t min, uint16_t low, uint16_t high, uint16_t max);
uint8_t AZ_set_config (uint16_t req_conf, uint16_t new_config_data);	

