/** 
	Knapphantering
	
	
	Copyright 2007 Daniel Berg
	
 	This file is part of SatFinder.
 
    SatFinder is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
 
    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SatFinder.  If not, see <http://www.gnu.org/licenses/>.
	
	*/


#include <util/delay.h>
#include <inttypes.h>
#include <avr/io.h>

#define RIGHT_B 0
#define LEFT_B 	1
#define UP_B 	2
#define DOWN_B 	3
#define MENU_B 	5



#define PRESSED_QUANTA 2


void Program_new_ID (uint8_t * my_ID);

/**
	Knapptest tar ca 5 ms att utfra och kontrollerar under denna tid knapphndelser
	
	Returnerar en byte med en etta p respektive knappmotsvarighet (PORT-placering)
	Anvnd de bifogade knapp-definitionerna
*/
uint8_t Knapptest(void) {
uint8_t temp,RIGHT_VAR,LEFT_VAR,UP_VAR,DOWN_VAR,MENU_VAR;
uint8_t knappstatus_s;
	RIGHT_VAR = 0;
	LEFT_VAR = 0;
	UP_VAR = 0;
	DOWN_VAR = 0;
	MENU_VAR = 0;

	for (temp = 0 ; temp < 10 ; temp++) {
		_delay_ms(0.5);
		if ((PINC & _BV(RIGHT_B)) == 0) RIGHT_VAR++;
		if ((PINC & _BV(LEFT_B)) == 0) LEFT_VAR++;
		if ((PINC & _BV(UP_B)) == 0) UP_VAR++;
		if ((PINC & _BV(DOWN_B)) == 0) DOWN_VAR++;
		if ((PINC & _BV(MENU_B)) == 0) MENU_VAR++;
	}
	temp = 0;
	if (RIGHT_VAR >= PRESSED_QUANTA) temp |= _BV(RIGHT_B);
	if (LEFT_VAR >= PRESSED_QUANTA) temp |= _BV(LEFT_B);
	if (UP_VAR >= PRESSED_QUANTA) temp |= _BV(UP_B);
	if (DOWN_VAR >= PRESSED_QUANTA) temp |= _BV(DOWN_B);
	if (MENU_VAR >= PRESSED_QUANTA) temp |= _BV(MENU_B);
	knappstatus_s = temp;
	return knappstatus_s;
}

/**
	Snabbrutin fr att vnta p en knapptryckning och att anvndaren slpper knappen.
	Returnerar samma som Knapptest.
*/
uint8_t Knapp_snabbtest(void) {
uint8_t knapp;
	do {
		knapp = Knapptest();
	}
	while (knapp == 0);
	while (Knapptest() != 0);
	return knapp;
}

